package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.RequirementReceive;
import com.lightinit.hsdataportal.entity.RequirementReceiveExample;
import java.util.List;

import com.lightinit.hsdataportal.entity.ResourceCatelog;
import com.lightinit.hsdataportal.model.ReceiveListModel;
import org.apache.ibatis.annotations.Param;

public interface RequirementReceiveMapper {
    long countByExample(RequirementReceiveExample example);

    int deleteByExample(RequirementReceiveExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementReceive record);

    int insertSelective(RequirementReceive record);

    List<RequirementReceive> selectByExampleWithBLOBs(RequirementReceiveExample example);

    List<RequirementReceive> selectByExample(RequirementReceiveExample example);

    RequirementReceive selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementReceive record, @Param("example") RequirementReceiveExample example);

    int updateByExampleWithBLOBs(@Param("record") RequirementReceive record, @Param("example") RequirementReceiveExample example);

    int updateByExample(@Param("record") RequirementReceive record, @Param("example") RequirementReceiveExample example);

    int updateByPrimaryKeySelective(RequirementReceive record);

    int updateByPrimaryKeyWithBLOBs(RequirementReceive record);

    int updateByPrimaryKey(RequirementReceive record);

    List<ReceiveListModel> selectList(Long id);


}